Subject: bug#21846: 25.0.50; emacs hebrew script bidi nikud rendering bug

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2015 19:58:01 +0200

> From: Benjamin Riefenstahl <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,
>     Mark H. David <[email-masked]>,
>     Kenichi Handa <[email-masked]>
> Date: Sat, 07 Nov 2015 18:44:14 +0100
> 
> I can reproduce the problems with the default font (FreeMono) on my
> system, which for m17n has a mixture of Versions 1.6.4 and 1.6.5.  This
> is Debian GNU/Linux 8.2.

I believe these are not the latest versions of these libraries.

> When I use "FreeSerif", a small part of the problems go away, see the
> attached screenshots.

Emacs cannot compose characters unless they come from the same font.
Are you sure the base characters and the diacriticals come from the
same font, in those cases where the display is incorrect?

> I suggest we move this bug to the m17n bugtracker at
> <http://savannah.nongnu.org/bugs/?group=m17n>.

A good idea, IMO.